%define upstream_name    Glib-Object-Introspection
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dynamically create Perl language bindings
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Glib)
BuildRequires: perl-devel
BuildRequires: gobject-introspection-devel

%description
To allow Glib::Object::Introspection to create bindings for a library, it
must have installed a typelib file, for example
'$prefix/lib/girepository-1.0/Gtk-3.0.typelib'. In your code you then
simply call 'Glib::Object::Introspection->setup' to set everything up. This
method takes a couple of key-value pairs as arguments. These three are
mandatory:

* basename => $basename

  The basename of the library that should be wrapped. If your typelib is
  called 'Gtk-3.0.typelib', then the basename is 'Gtk'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Tue Mar 06 2012 tv <tv> 0.7.0-1.mga2
+ Revision: 220182
- new release

* Mon Jan 23 2012 tv <tv> 0.6.0-1.mga2
+ Revision: 200384
- new release

* Thu Dec 29 2011 fwang <fwang> 0.5.0-1.mga2
+ Revision: 188589
- new version 0.005

* Wed Nov 23 2011 tv <tv> 0.4.0-1.mga2
+ Revision: 171250
- fix file list
- new release

* Sat Oct 15 2011 tv <tv> 0.3.0-1.mga2
+ Revision: 155410
- new release
- imported package perl-Glib-Object-Introspection

  + fwang <fwang>
    - rebuild

